kdegraphics security update

2007-07-31T19:12:55
ID CESA-2007:0729
Type centos
Reporter CentOS Project
Modified 2007-08-01T07:43:03

Description

CentOS Errata and Security Advisory CESA-2007:0729

The kdegraphics packages contain applications for the K Desktop Environment including kpdf, a PDF file viewer.

Maurycy Prodeus discovered an integer overflow flaw in the processing of PDF files. An attacker could create a malicious PDF file that would cause kpdf to crash or potentially execute arbitrary code when opened. (CVE-2007-3387)

All users of kdegraphics should upgrade to these updated packages, which contain a backported patch to resolve this issue.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2007-August/026153.html http://lists.centos.org/pipermail/centos-announce/2007-August/026157.html http://lists.centos.org/pipermail/centos-announce/2007-August/026158.html http://lists.centos.org/pipermail/centos-announce/2007-July/026133.html http://lists.centos.org/pipermail/centos-announce/2007-July/026146.html http://lists.centos.org/pipermail/centos-announce/2007-July/026147.html

Affected packages: kdegraphics kdegraphics-devel

Upstream details at: https://rhn.redhat.com/errata/RHSA-2007-0729.html